# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2006-2008 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.

from elisa.plugins.pigment.graph.text import Text
from elisa.plugins.pigment.graph.image import Image
from elisa.plugins.pigment.widgets.widget import Widget


class NothingToDisplay(Widget):

    def __init__(self, media_type=None):
        super(NothingToDisplay, self).__init__()
        self._media_type = media_type

        self.text = Text()
        self.add(self.text)
        self.text.visible = True

        self.icon = Image()
        self.add(self.icon)
        self.icon.visible = True

        self.update_style_properties(self.style.get_items())
